Skip to main content
DELETE
/
v1
/
appointment-types
/
{appointmentTypeId}
Archive Appointment Type
curl --request DELETE \
  --url https://app.untetherlabs.com/api/v1/appointment-types/{appointmentTypeId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "length": 123,
  "allowedRoles": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "skillRequirement": {
    "type": "equal",
    "skill": "<string>",
    "value": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

appointmentTypeId
string<uuid>
required

Response

id
string<uuid>
required
name
string
required
length
integer
required

in minutes

allowedRoles
string<uuid>[] | null
required

Roles which are considered for this appointment type. Null means any role is allowed.

skillRequirement
object
{key}
any